#
# spec file for package libharu
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libharu
Version:        2.2.1
Release:        14.1
%define libver  2_2_1
Summary:        Cross platform library for generating PDF files
License:        Zlib
Group:          System/Libraries
Url:            http://libharu.org
Source0:        http://libharu.org/files/%{name}-%{version}.tar.bz2
Source1:        %{name}-rpmlintrc
# PATCH-FIX-UPSTREAM libharu-2.2.1-png15.patch -- fix build with libpng 1.5.0, commit e5bf8b01f6
Patch0:         libharu-2.2.1-png15.patch
# PATCH-FIX-UPSTREAM libharu-2.2.1-png16.patch -- fix build with libpng 1.6.1, sent to tony@daylessday.org
Patch1:         libharu-2.2.1-png16.patch
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libHaru is a free, cross platform, open source library for generating PDF files.
It supports the following features:
- Generating PDF files with lines, text, images.
- Outline, text annotation, link annotation.
- Compressing document with deflate-decode.
- Embedding PNG, Jpeg images.
- Embedding Type1 font and TrueType font.
- Creating encrypted PDF files.
- Using various character sets (ISO8859-1~16, MSCP1250~8, KOI8-R).
- Supporting CJK fonts and encodings.

%package     -n %{name}-%{libver}
Summary:        Cross platform library for generating PDF files
Group:          System/Libraries

%description -n %{name}-%{libver}
libHaru is a free, cross platform, open source library for generating PDF files.
It supports the following features:
- Generating PDF files with lines, text, images.
- Outline, text annotation, link annotation.
- Compressing document with deflate-decode.
- Embedding PNG, Jpeg images.
- Embedding Type1 font and TrueType font.
- Creating encrypted PDF files.
- Using various character sets (ISO8859-1~16, MSCP1250~8, KOI8-R).
- Supporting CJK fonts and encodings.

%package        devel
Summary:        Development files for libharu
Group:          Development/Libraries/C and C++
Requires:       %{name}-%{libver} = %{version}
Requires:       libpng-devel
Requires:       zlib-devel

%description    devel
This package contains libraries and header files for developing
applications that use %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
# fix wrong-file-end-of-line-encoding
sed -i 's/\r$//' README

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%post -n %{name}-%{libver} -p /sbin/ldconfig

%postun -n %{name}-%{libver} -p /sbin/ldconfig

%files -n %{name}-%{libver}
%defattr(-,root,root)
%doc README
%{_libdir}/libhpdf-%{version}.so

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libhpdf.so

%changelog
* Tue Apr  9 2013 pgajdos@suse.com
- builds also with libpng16
  * png16.patch
* Sun Jan 20 2013 dmitry_r@opensuse.org
- Replace source archive
* Thu Jan 17 2013 dmitry_r@opensuse.org
- Fix devel package requirements
* Tue Jan 15 2013 dmitry_r@opensuse.org
- spec file cleanup
- Rename library package according to shared library packaging policy
- Fix build with libpng 1.5
  * libharu-2.2.1-png15.patch
* Wed Jul  9 2008 otto.dassau@gmx.de
- created spec file for opensuse BuildService
